ALTER TABLE tm_Kdex ADD tmRec_Costo DECIMAL(14,4) DEFAULT(0) NOT NULL
GO 
ALTER TABLE Trn_Kardex ADD  Rec_Costo DECIMAL(14,4) DEFAULT(0) NOT NULL
GO
ALTER TABLE Trn_Sobretasas ADD TipEgreso VARCHAR(3),NumEgreso INT DEFAULT (0),CiaEgreso CHAR(2)
GO
CREATE TABLE ProdPrecCom ( 
IdProducto VARCHAR(16) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
Numero INT DEFAULT (0) NOT NULL,
TipoTarif VARCHAR(3) NOT NULL,
nMes INT DEFAULT (0) NOT NULL,
nAnno INT DEFAULT (0) NOT NULL,
Tarifa DECIMAL(14,4) DEFAULT (0) NOT NULL,
NitProv VARCHAR(16) DEFAULT ('0') NOT NULL,
Inactivo BIT DEFAULT (0) NOT NULL
 CONSTRAINT PK_ProdPrecCom PRIMARY KEY CLUSTERED (IdProducto,IdCia,Numero),
 CONSTRAINT CK_ProdPrecComIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_ProdPrecComIdProducto CHECK ((len([IdProducto]) > 0)),
 CONSTRAINT CK_ProdPrecComNitProv CHECK ((len([NitProv]) > 0)),
 CONSTRAINT CK_ProdPrecComTipoTarif CHECK ((len([TipoTarif]) > 0)))
GO
ALTER TABLE ProdPrecCom ADD 
 CONSTRAINT FK_ProdPrecCom_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_ProdPrecCom_ProdMcias FOREIGN KEY (IdProducto) REFERENCES [dbo].[ProdMcias] (IdProducto)
 CREATE NONCLUSTERED INDEX IX_ProdPrecComnAnno ON ProdPrecCom(nAnno,nMes)

